<h2 class="page-header">Create new job</h2>
<div class="content">
  <form class="job-form" [formGroup]="jobForm" (ngSubmit)="onSubmit()">
    <div class="page-row">
      <mat-form-field appearance="outline" class="input">
        <input matInput placeholder="Job name" formControlName="name" [attr.maxlength]="NameMaxLength" />
      </mat-form-field>
      <mat-form-field appearance="outline" class="input">
        <input
          matInput
          [attr.maxlength]="DescriptionMaxLength"
          placeholder="Job description"
          formControlName="description"
        />
      </mat-form-field>
      <mat-radio-group class="radio-group" aria-label="" formControlName="isPublic">
        <div class="radio-group__label">Run is</div>
        <mat-radio-button labelPosition="after" [value]="true">Public</mat-radio-button>
        <mat-radio-button labelPosition="after" [value]="false">Private</mat-radio-button>
      </mat-radio-group>
    </div>
    <h3 class="row-header">Raw Data</h3>
    <a class="template-link" href="/xrd_input_template.csv">Download Template</a>
    <div class="page-file-upload">
      <gng-upload-file
        *ngIf="!fileDataControl.value; else elseBlock"
        (fileUploaded)="upload($event)"
        acceptedFiles=".csv"
      ></gng-upload-file>
      <ng-template #elseBlock>
        <xrd-raw-data-input
          (removeFile)="fileDataControl.setValue(null)"
          (viewRawData)="openDialog()"
          [isInputValid]="isInputValid"
        >
        </xrd-raw-data-input>
      </ng-template>
    </div>

    <div class="buttons-group">
      <button class="button" color="primary" mat-flat-button [disabled]="jobForm.invalid || !isInputValid">
        Proceed
      </button>
      <a routerLink="/xrd" routerLinkActive="active" class="button" mat-flat-button>Cancel</a>
    </div>
  </form>
</div>
